from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTransferableTextSupplier(Protocol):
    def getTransferableForTextRange(self, xRange: XTextRange) -> XTransferable: ...
